id: d6_user_mail_translation
label: User mail configuration
migration_tags:
  - Drupal 6
  - Configuration
  - Multilingual
source:
  plugin: d6_variable_translation
  variables:
    - user_mail_status_activated_subject
    - user_mail_status_activated_body
    - user_mail_password_reset_subject
    - user_mail_password_reset_body
    - user_mail_status_deleted_subject
    - user_mail_status_deleted_body
    - user_mail_register_admin_created_subject
    - user_mail_register_admin_created_body
    - user_mail_register_no_approval_required_subject
    - user_mail_register_no_approval_required_body
    - user_mail_register_pending_approval_subject
    - user_mail_register_pending_approval_body
    - user_mail_status_blocked_subject
    - user_mail_status_blocked_body
  source_module: i18n
process:
  langcode: language
  'status_activated/subject':
    plugin: convert_tokens
    source: user_mail_status_activated_subject
  'status_activated/body':
    plugin: convert_tokens
    source: user_mail_status_activated_body
  'password_reset/subject':
    plugin: convert_tokens
    source: user_mail_password_reset_subject
  'password_reset/body':
    plugin: convert_tokens
    source: user_mail_password_reset_body
  'cancel_confirm/subject':
    plugin: convert_tokens
    source: user_mail_status_deleted_subject
  'cancel_confirm/body':
    plugin: convert_tokens
    source: user_mail_status_deleted_body
  'register_admin_created/subject':
    plugin: convert_tokens
    source: user_mail_register_admin_created_subject
  'register_admin_created/body':
    plugin: convert_tokens
    source: user_mail_register_admin_created_body
  'register_no_approval_required/subject':
    plugin: convert_tokens
    source: user_mail_register_no_approval_required_subject
  'register_no_approval_required/body':
    plugin: convert_tokens
    source: user_mail_register_no_approval_required_body
  'register_pending_approval/subject':
    plugin: convert_tokens
    source: user_mail_register_pending_approval_subject
  'register_pending_approval/body':
    plugin: convert_tokens
    source: user_mail_register_pending_approval_body
  'status_blocked/subject':
    plugin: convert_tokens
    source: user_mail_status_blocked_subject
  'status_blocked/body':
    plugin: convert_tokens
    source: user_mail_status_blocked_body
destination:
  plugin: config
  config_name: user.mail
  translations: true
migration_dependencies:
  required:
    - d6_user_mail
    - language
